--- old/usr/src/tools/scripts/webrev.sh	mer. déc. 25 08:52:20 2013
+++ new/usr/src/tools/scripts/webrev.sh	mer. déc. 25 08:52:20 2013
@@ -26,6 +26,7 @@
 
 # Copyright 2008, 2010, Richard Lowe
 # Copyright 2012 Marcel Telka <marcel@telka.sk>
+# Copyright 2013 PALO, Richard. All rights reserved.
 
 #
 # This script takes a file list and a workspace and builds a set of html files
@@ -2938,12 +2939,15 @@
 valid_prefixes=
 if [[ -z $nflag ]]; then
 	DEFREGFILE="$(/bin/dirname "$(whence $0)")/../etc/its.reg"
+	DEFREGFILE0="$(/bin/dirname "$(whence $0)")/its.reg"
 	if [[ -n $Iflag ]]; then
 		REGFILE=$ITSREG
 	elif [[ -r $HOME/.its.reg ]]; then
 		REGFILE=$HOME/.its.reg
-	else
+	elif [[ -r $DEFREGFILE ]]; then
 		REGFILE=$DEFREGFILE
+	else
+		REGFILE=$DEFREGFILE0
 	fi
 	if [[ ! -r $REGFILE ]]; then
 		print "ERROR: Unable to read database registry file $REGFILE"
@@ -2967,7 +2971,12 @@
 
 
 	DEFCONFFILE="$(/bin/dirname "$(whence $0)")/../etc/its.conf"
-	CONFFILES=$DEFCONFFILE
+	DEFCONFFILE0="$(/bin/dirname "$(whence $0)")/its.conf"
+	if [[ -r $DEFCONFFILE ]]; then
+		CONFFILES=$DEFCONFFILE
+	else
+		CONFFILES=$DEFCONFFILE0
+	fi
 	if [[ -r $HOME/.its.conf ]]; then
 		CONFFILES="${CONFFILES} $HOME/.its.conf"
 	fi
